Bug 1374253 - Cannot create new hostgroup via API/CLI
Summary: Cannot create new hostgroup via API/CLI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: Nightly
Hardware: x86_64
OS: Linux
high
high
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1378009
TreeView+ depends on / blocked
 
Reported: 2016-09-08 10:45 UTC by Stanislav Tkachenko
Modified: 2019-09-26 18:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:44:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Tail of foreman/production.log (19.22 KB, text/plain)
2016-09-08 10:56 UTC, Stanislav Tkachenko
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16484 None None None 2016-09-08 11:00:31 UTC

Description Stanislav Tkachenko 2016-09-08 10:45:17 UTC
Description of problem:
It is not possible to create new HostGroup via API or CLI.

# Hammer
> hammer> hostgroup create --name=test
> Could not create the hostgroup:
>  ActiveModel::ForbiddenAttributesError

# API
> 2016-09-07 18:03:49 - nailgun.client - DEBUG - Making HTTP POST request to https://example.com/api/v2/hostgroups with options {'verify': False, 'auth': ('admin', 'changeme'), 'headers': {'content-type': 'application/json'}} and data {"hostgroup": {"name": "MbgZIiiZ"}}.
> 2016-09-07 18:03:50 - nailgun.client - WARNING - Received HTTP 500 response: {
  "error": {"message":"ActiveModel::ForbiddenAttributesError"}
}

Version-Release number of selected component (if applicable):
Foreman 1.13.0-develop (nightly 2016-09-07)

How reproducible:
Always


Steps to Reproduce:
1. Create a new hostgroup, providing a valid name
2. E.g. with "hammer hostgroup create --name=test"
3.

Actual results:
1. "ActiveModel::ForbiddenAttributesError" error
2. hostgroup wasn't created.


Expected results:
Hostgroup should be created


Additional info:
foreman-debug:
>       OS: redhat
>  RELEASE: Red Hat Enterprise Linux Server release 7.2 (Maipo)
>  FOREMAN: 1.13.0-develop
>     RUBY: ruby 2.0.0p598 (2014-11-13) [x86_64-linux]
>   PUPPET: 3.8.7
>  DENIALS: 4

Installed packages:
* candlepin-0.9.54.6-1.el7.noarch
* candlepin-selinux-0.9.54.6-1.el7.noarch
* foreman-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-compute-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-debug-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-ec2-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-gce-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-installer-1.13.0-0.develop.201609060324gitb49a16e.el7.noarch
* foreman-installer-katello-3.2.0-1.nightly.201609062204git5de9187.el7.noarch
* foreman-libvirt-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-openstack-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-ovirt-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-postgresql-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-proxy-1.13.0-0.develop.201609011824gite02ca04.el7.noarch
* foreman-rackspace-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-release-1.13.0-0.develop.201609051301git713be41.el7.noarch
* foreman-release-scl-3-1.el7.noarch
* foreman-selinux-1.13.0-0.develop.201608101426git264951f.el7.noarch
* foreman-vmware-1.13.0-0.develop.201609051301git713be41.el7.noarch
* katello-3.1.0-4.nightly.el7.noarch
* katello-certs-tools-2.4.0-1.el7.noarch
* katello-client-bootstrap-1.1.0-1.el7.noarch
* katello-common-3.1.0-4.nightly.el7.noarch
* katello-debug-3.1.0-4.nightly.el7.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.2.0-1.nightly.201609062204git5de9187.el7.noarch
* katello-repos-3.2.0-2.nightly.el7.noarch
* katello-selinux-3.0.1-1.el7.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.1.0-4.nightly.el7.noarch
* openldap-2.4.40-9.el7_2.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.0.3-1.el7.noarch
* pulp-katello-1.0.2-1.el7.noarch
* pulp-puppet-plugins-2.9.1-1.el7.noarch
* pulp-puppet-tools-2.9.1-1.el7.noarch
* pulp-rpm-plugins-2.9.1-1.el7.noarch
* pulp-selinux-2.9.1-1.el7.noarch
* pulp-server-2.9.1-1.el7.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.3-1.el7.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7.noarch

Comment 2 Stanislav Tkachenko 2016-09-08 10:56:07 UTC
Created attachment 1198995 [details]
Tail of foreman/production.log

Comment 3 Sachin Ghai 2016-09-08 10:58:00 UTC
Created redmine issue http://projects.theforeman.org/issues/16484 from this bug

Comment 4 Bryan Kearney 2016-09-08 12:18:46 UTC
Upstream bug component is Content Management

Comment 6 Brad Buckingham 2016-09-12 13:44:10 UTC
Upstream Katello PR: https://github.com/Katello/katello/pull/6311

Comment 9 Stanislav Tkachenko 2016-10-03 20:31:37 UTC
Verified on Satellite 6.3 Snap3
> hammer> hostgroup create --name test1
> Hostgroup created

Comment 10 pm-sat@redhat.com 2018-02-21 16:44:36 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.